add debian directory to create debian binary packages
authorgreg
Mon, 31 Dec 2007 13:36:11 +0100
changeset 139 c2d093402005
parent 138 9c74d00ce93e
child 140 06d28f03f6f4
add debian directory to create debian binary packages
debian/README.Debian
debian/changelog
debian/compat
debian/control
debian/copyright
debian/dirs
debian/docs
debian/plcopeneditor.desktop
debian/plcopeneditor.png
debian/postinst
debian/postrm
debian/rules
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/README.Debian	Mon Dec 31 13:36:11 2007 +0100
@@ -0,0 +1,6 @@
+plcopeneditor for Debian
+------------------------
+
+<possible notes regarding this package - if none, delete this file>
+
+ -- lolitech <gregory.trelat@lolitech.net>  Tue, 13 Nov 2007 11:14:55 +0100
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/changelog	Mon Dec 31 13:36:11 2007 +0100
@@ -0,0 +1,6 @@
+plcopeneditor (1.0-1) unstable; urgency=low
+
+  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>
+
+ -- lolitech <gregory.trelat@lolitech.net>  Tue, 13 Nov 2007 11:14:55 +0100
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/compat	Mon Dec 31 13:36:11 2007 +0100
@@ -0,0 +1,1 @@
+5
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/control	Mon Dec 31 13:36:11 2007 +0100
@@ -0,0 +1,17 @@
+Source: plcopeneditor
+Section: devel
+Priority: standard
+Maintainer: lolitech <gregory.trelat@lolitech.net>
+Build-Depends: debhelper (>= 5)
+Standards-Version: 3.7.2
+
+Package: plcopeneditor
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libwxgtk2.8-0, libwxbase2.8-0
+Description: The PLCopen Editor saves and loads XML projects accordingly to PLCopen TC6-XML Schemes.
+ Edits all 5 of the IEC-61131-3 languages :
+     - FBD -> Function Block Diagram
+     - SFC -> Sequential Function Chart
+     - LD -> Ladder Diagram
+     - ST -> Structured Text
+     - IL -> Instruction List
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/copyright	Mon Dec 31 13:36:11 2007 +0100
@@ -0,0 +1,35 @@
+This package was debianized by lolitech <gregory.trelat@lolitech.net> on
+Tue, 13 Nov 2007 11:14:55 +0100.
+
+It was downloaded from <fill in http/ftp site>
+
+Upstream Author: <put author(s) name and email here>
+
+Copyright: <put the year(s) of the copyright, and the names of the
+            copyright holder(s) here>
+
+License:
+
+   This package is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2 of the License, or
+   (at your option) any later version.
+
+   This package is distributed in the hope that it will be useful,
+   but WITHOUT ANY WARRANTY; without even the implied warranty of
+   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+   GNU General Public License for more details.
+
+   You should have received a copy of the GNU General Public License
+   along with this package; if not, write to the Free Software
+   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+
+On Debian systems, the complete text of the GNU General
+Public License can be found in `/usr/share/common-licenses/GPL'.
+
+The Debian packaging is (C) 2007, lolitech <gregory.trelat@lolitech.net> and
+is licensed under the GPL, see above.
+
+
+# Please also look if there are files or directories which have a
+# different copyright/license attached and list them here.
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/dirs	Mon Dec 31 13:36:11 2007 +0100
@@ -0,0 +1,3 @@
+usr/bin
+usr/share
+usr/share/applications
\ No newline at end of file
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/plcopeneditor.desktop	Mon Dec 31 13:36:11 2007 +0100
@@ -0,0 +1,13 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=PlcOpenEditor
+Comment=Editor for all 5 of the IEC-61131-3 languages
+Comment[fr]=Editeur pour les 5 langages de l'IEC-61131-3
+Exec=/usr/bin/plcopeneditor
+Icon=/usr/share/plcopeneditor/plcopeneditor.png
+Terminal=false
+MultipleArgs=false
+Type=Application
+Categories=Application;Development;
+StartupNotify=true
+
Binary file debian/plcopeneditor.png has changed
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/postinst	Mon Dec 31 13:36:11 2007 +0100
@@ -0,0 +1,46 @@
+#!/bin/sh
+# postinst script for plcopeneditor
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+	if ! [ -d "/usr/bin" ]; then
+		mkdir /usr/bin
+	fi
+	ln -sf /usr/share/plcopeneditor/PLCOpenEditor.py /usr/bin/plcopeneditor
+	chmod 755 /usr/share/plcopeneditor/PLCOpenEditor.py
+	;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/postrm	Mon Dec 31 13:36:11 2007 +0100
@@ -0,0 +1,41 @@
+#!/bin/sh
+# postrm script for plcopeneditor
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <overwriter>
+#          <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+POE=/usr/bin/plcopeneditor
+
+case "$1" in
+    purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+	if [ -f "$POE" ]; then
+		rm $POE
+	fi
+	;;
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/rules	Mon Dec 31 13:36:11 2007 +0100
@@ -0,0 +1,100 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+
+
+
+CFLAGS = -Wall -g
+
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -O0
+else
+	CFLAGS += -O2
+endif
+
+configure: configure-stamp
+configure-stamp:
+	dh_testdir
+	# Add here commands to configure the package.
+
+	touch configure-stamp
+
+
+build: build-stamp
+
+build-stamp: configure-stamp 
+	dh_testdir
+	touch $@
+
+clean:
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp configure-stamp
+	dh_clean 
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k 
+	dh_installdirs
+
+	# Add here commands to install the package into debian/plcopeneditor.
+	mkdir -p $(CURDIR)/debian/plcopeneditor/usr/share/plcopeneditor	
+	
+	### Installing the data files
+	# should be copied to /usr/local/objdictedit
+	cp -r examples Images graphics plcopen xmlclass snapshots minixsv \
+		$(CURDIR)/debian/plcopeneditor/usr/share/plcopeneditor
+	cp *.py $(CURDIR)/debian/plcopeneditor/usr/share/plcopeneditor
+	chmod -R a+r $(CURDIR)/debian/plcopeneditor 
+
+	### Installing menufile
+	# Now copy the file with the menu entry into /usr/share/applications.
+	cp debian/plcopeneditor.desktop $(CURDIR)/debian/plcopeneditor/usr/share/applications/
+	cp debian/plcopeneditor.png $(CURDIR)/debian/plcopeneditor/usr/share/plcopeneditor/plcopeneditor.png
+	
+# Build architecture-independent files here.
+binary-indep: build install
+# We have nothing to do by default.
+
+# Build architecture-dependent files here.
+binary-arch: build install
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs 
+	dh_installdocs
+	dh_installexamples
+#	dh_install
+#	dh_installmenu
+#	dh_installdebconf	
+#	dh_installlogrotate
+#	dh_installemacsen
+#	dh_installpam
+#	dh_installmime
+#	dh_python
+#	dh_installinit
+#	dh_installcroncp sss
+#	dh_installinfo
+	dh_installman
+	dh_link
+	dh_strip
+	dh_compress
+	dh_fixperms
+#	dh_perl
+#	dh_makeshlibs
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure